Produced by Araxis Merge on 5/14/2018 1:18:45 PM Eastern Daylight Time. See www.araxis.com for information about Merge. This report uses XHTML and CSS2, and is best viewed with a modern standards-compliant browser. For optimum results when printing this report, use landscape orientation and enable printing of background images and colours in your browser.
| # | Location | File | Last Modified |
|---|---|---|---|
| 1 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_jenkins | mvrepo.sh | Tue Mar 27 23:50:46 2018 UTC |
| 2 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_jenkins | mvrepo.sh | Thu May 10 16:08:22 2018 UTC |
| Description | Between Files 1 and 2 |
|
|---|---|---|
| Text Blocks | Lines | |
| Unchanged | 2 | 140 |
| Changed | 1 | 2 |
| Inserted | 0 | 0 |
| Removed | 0 | 0 |
| Whitespace | |
|---|---|
| Character case | Differences in character case are significant |
| Line endings | Differences in line endings (CR and LF characters) are ignored |
| CR/LF characters | Not shown in the comparison detail |
No regular expressions were active.
| 1 | #! /bin/ba sh | |
| 2 | # | |
| 3 | clear | |
| 4 | ||
| 5 | # CONTACT INFO | |
| 6 | CONTACT="L ee Benhart : lee.benh art@Halfak er.com or PII " | |
| 7 | ||
| 8 | # NAME OR IP OF REPO FILES | |
| 9 | ||
| 10 | DEVREPOSRC ="aws-mast er.mccf.ha lfakerlabs .com" | |
| 11 | ||
| 12 | # | |
| 13 | # Verify R OOT user i s running this | |
| 14 | MYID="`/us r/bin/id - u`" | |
| 15 | if [ "$MYI D" -ne 0 ] ; then ec ho $0: You must be r oot to run this 1>&2 ; exit 1 ; fi | |
| 16 | # | |
| 17 | ||
| 18 | echo "" | |
| 19 | ||
| 20 | TARGETREPO SRC=$(host name) | |
| 21 | ||
| 22 | if [ -z "$ {TARGETREP OSRC}" ] | |
| 23 | then | |
| 24 | echo " $0 ${TARGE TREPOSRC} not found, contact $ {CONTACT}" | |
| 25 | fi | |
| 26 | ||
| 27 | echo "$0 S ynchronizi ng install to VA env ironment.. . " | |
| 28 | echo "$0 M y local ad dress is $ {TARGETREP OSRC}" | |
| 29 | ||
| 30 | echo "" | |
| 31 | echo "$0 C opy the re levant fil es to the html locat ion" | |
| 32 | ||
| 33 | PUBDIR="/v ar/www/htm l/pub" | |
| 34 | REPOBASEDI R="${PUBDI R}/repo" | |
| 35 | REPODIR="$ {REPOBASED IR}/jenkin s" | |
| 36 | ||
| 37 | if [ ! -d "${PUBDIR} " ] | |
| 38 | then | |
| 39 | mkdir ${PUBDIR} | |
| 40 | echo " $0 Fix dir ectory own er and per missions $ {PUBDIR}" | |
| 41 | chown -R root:ro ot "${PUBD IR}" | |
| 42 | chmod 0755 "${PU BDIR}" | |
| 43 | echo " $0 task co mpleted" | |
| 44 | fi | |
| 45 | ||
| 46 | if [ ! -d "${REPODIR }" ] | |
| 47 | then | |
| 48 | mkdir ${REPODIR} | |
| 49 | echo " $0 Fix dir ectory own er and per missions $ {REPODIR}" | |
| 50 | chown -R root:ro ot "${REPO DIR}" | |
| 51 | chmod 0755 "${RE PODIR}" | |
| 52 | echo " $0 task co mpleted" | |
| 53 | fi | |
| 54 | ||
| 55 | rsync -av --progress . ${REPOD IR} --excl ude '.git* ' --exclud e 'README. md' --excl ude '*.bak ' --exclud e '*.sh' - -del | |
| 56 | ||
| 57 | if [ -s "$ {REPODIR}" ] | |
| 58 | then | |
| 59 | echo " $0 Fix dir ectory own er and per missions $ {REPODIR}" | |
| 60 | chown -R root:ro ot "${REPO DIR}" | |
| 61 | chmod 0755 "${RE PODIR}" | |
| 62 | find $ {REPODIR} -type d -e xec chmod 0755 '{}' \; | |
| 63 | find $ {REPODIR} -type f -e xec chmod 0644 '{}' \; | |
| 64 | echo " $0 task co mpleted" | |
| 65 | else | |
| 66 | echo " $0 ${REPOD IR} not fo und, conta ct ${CONTA CT}" | |
| 67 | fi | |
| 68 | ||
| 69 | restorecon -R "/var/ www/html" | |
| 70 | if [ $? -n e 0 ] ; th en echo "$ 0: Please report any errors to ${CONTACT }" ; fi | |
| 71 |
Araxis Merge (but not the data content of this report) is Copyright © 1993-2016 Araxis Ltd (www.araxis.com). All rights reserved.